#!/bin/bash

# if run with -s (single) we only run one build per box
[ "$1" == "-s" ] && { shift; SINGLE=true; }

# the tests flavours available
# -B means no test
# -e step : mark a step as exclude (do not run it at all)
# -i step : mark a step as ignore (run it, but keep going if it fails)
# -c default for the tests setup is one myplc
# -c dual has two myplc's - pointing to each other AMs
# -c triangle has three - ditto
# -c sfamesh makes them point to SMs
# -c bignode is to allow one hour for the node to install
# -c config -c sfadebug - turn on sfa debug
# -y pg testing only the pg rspecs

# XXX historically we had several build boxes
#function liquid () { hostname | grep -q liquid ; }
#function reed () { hostname | grep -q reed ; }
#function buzzcocks () { hostname | grep -q buzzcocks ; }

#/root/bin/lbuild-nightly.sh -f f25 -b @DATE@--f25 -e check-initscripts &
#/root/bin/lbuild-nightly.sh -f f24 -b @DATE@--f24 -e check-initscripts &
/root/bin/lbuild-nightly.sh -f f24 -b @DATE@--f24-r2lab -e check-initscripts plcapi-GITPATH=git://git.onelab.eu/plcapi.git@r2lab &

[ -n "$SINGLE" ] && exit
# xxx when running 3 builds of 22, 23 and 23-sfataga in parallel, I observe that
# they all 3 trigger the tests at the exact same time, which runs into a bug of libvirt
# might go away once we upgrade buzzcocks to f23 ?
#sleep 600
#/root/bin/lbuild-nightly.sh -f f22 -b @DATE@--f22 -e check-initscripts &
#/root/bin/lbuild-nightly.sh -f f14 -b @DATE@--f14 -d onelab &
#/root/bin/lbuild-nightly.sh -f f21 -b @DATE@--f21 -e check-initscripts &
#/root/bin/lbuild-nightly.sh -f f20 -b @DATE@--f20 -e check-initscripts &


### sfa from stable
# xxx see above
#sleep 600
#/root/bin/lbuild-nightly.sh -f f23 -b @DATE@--f23-sfatag -e check-initscripts GITPATH=git://git.onelab.eu/sfa.git@sfa-3.1-21 &
#/root/bin/lbuild-nightly.sh sfa-GITPATH=git://git.onelab.eu/sfa.git@master tests-GITPATH=git://git.onelab.eu/tests.git@master -f f23 -b @DATE@--f23-sfa -e check-initscripts &

### older fedoras
#/root/bin/lbuild-nightly.sh -f f18 -b @DATE@--f18 &
### 32bits build for the yum arch patch - do not forget to protect this within a call to linux32
#linux32 /root/bin/lbuild-nightly.sh -f f14 -p linux32 -b @DATE@--f14-32 -d onelab

exit # END - for my-builds

########## oldies

###  sfa + manifold + myslice
#/root/bin/lbuild-nightly.sh -d federation -P develdeb.pkgs -W http://debian.onelab.eu/ -f wheezy -b @DATE@--f10n-deb-w debian -B
#/root/bin/lbuild-nightly.sh -d federation -P develdeb.pkgs -W http://debian.onelab.eu/ -f jessie -b @DATE@--f10n-deb-j debian -B
#/root/bin/lbuild-nightly.sh -d federation -P develdeb.pkgs -W http://debian.onelab.eu/ -f saucy  -b @DATE@--f10n-ubu-s debian -B
#/root/bin/lbuild-nightly.sh -d federation -P develdeb.pkgs -W http://debian.onelab.eu/ -f trusty -b @DATE@--f10n-ubu-t debian -B
#/root/bin/lbuild-nightly.sh -d federation -P develdeb.pkgs -W http://debian.onelab.eu/ -f utopic -b @DATE@--f10n-ubu-u debian -B
/root/bin/lbuild-nightly.sh -d federation -P develdeb.pkgs -W http://debian.onelab.eu/ -f vivid  -b @DATE@--f10n-ubu-v debian -B
/root/bin/lbuild-nightly.sh -d federation -P develdeb.pkgs -W http://debian.onelab.eu/ -f wily   -b @DATE@--f10n-ubu-w debian -B


########## probably obsolete

### nodemanager for ubuntu - giving up for now
#/root/bin/lbuild-nightly.sh -d lxc -f trusty -P develdeb.pkgs -W http://debian.onelab.eu/ -b @DATE@--nm-ubu-t -B nodemanager-GITPATH=git://git.onelab.eu/nodemanager.git@master ALL=nodemanager debian
 
####################
# wextoolbox 
# bbn won't build so it's taken off that build -- see wexlxc.mk in wextoolbox (branch wexlxc)
#  f14
#/root/bin/lbuild-nightly.sh -d wextoolbox -p linux32 -f f14 -b @DATE@--wtx-f14-32 -e check_system_slice -c default -c bignode
# f16
# for now this is failing because the nodeimage plain (uncompressed) package is too big, cpio seems to have a 2Gb limit
#/root/bin/lbuild-nightly.sh -d wexlxc -f f18 -b @DATE@--wexlxc-f18-64 -c default -c bignode
# f18 - never tried yet

####################
# build & test : f12 bootstrap : vserver-capable 2.6.32, util-vserver and yum, for a plain fedora 12 build or test box
#/root/bin/lbuild-nightly.sh -d f12 -f f12 -p linux32 -b @DATE@--f12-f12-32 -B
### same software release but built on f14 - kernel excluded as, 
# for some reason, we have to use the one built on f12
#/root/bin/lbuild-nightly.sh -d f14 -f f14 -b @DATE@--f14-f14-64 -B
